grayishスキン適用中

Cocoonフォーラム

サイト内検索
書き込みの前に以下の3点をご確認ください。
  1. 1つのトピックにつき1つの質問を書き込んでください
  2. 不具合・カスタマイズ対象ページのURLを提示高速化を無効にしてください
  3. 該当部分のキャプチャ・環境情報とともに書き込んでいただけると助かります

何を書き込んだら良いか分からない場合は、以下のテンプレートをコピペしてご利用ください。

不具合・カスタマイズ対象ページのURL:

相談内容:

不具合の発生手順:

解決のために試したこと:

※文字だけでは正しく伝わらない可能性があるため、スクショ画像の添付もお願いします。
※高速化設定をしている場合は無効にしてください。
環境情報:

※↑こちらに「Cocoon設定 → テーマ情報」にある「環境情報」を貼り付けてください。

環境情報の取得方法はこちら。
https://wp-cocoon.com/theme-report/
高速化設定を無効にするにはこちら。
https://wp-cocoon.com/theme-trouble/

フォーラム利用ガイドリンク

  1. フォーラムガイドライン
  2. よくある質問と答え(FAQ)
  3. サポート対象外のケース
  4. 原因不明の不具合用トラブルシューティング
  5. トピックにHTMLを貼り付ける方法(推奨ツール:notepad.pw
  6. 真っ白画面でのエラーメッセージの確認方法
  7. ブラウザ環境チェックツール
  8. Cocoonカスタマイズ依頼

フォーラム質問後、問題等が解決した場合は結果を書き込んでいただけると幸いです。同様の問題で調べている方には、結果が一番気になる部分となります。

ブログカードを編集しようとするときのエ...
 
共有:
通知
すべてクリア

ブログカードを編集しようとするときのエラー

21 投稿
4 ユーザー
6 Likes
1,507 表示
(@初心者)
Active Member
結合: 3年前
投稿: 8
Topic starter  

ブログカードのスタイルを文中で編集しようとすると、毎度エラーが発生して落ちてしまいます。

エラーコードは以下です。こちらは不具合でしょうか?ご確認をお願いいたします。

 

TypeError: Cannot read property 'map' of undefined
at tt ( https://kanaroad.net/wp-includes/js/dist/blocks.min.js?ver=9ed25ffa009c799f99a4340915b6dc6a&fver=20210310073739:3:97290)
at vu ( https://kanaroad.net/wp-includes/js/dist/block-editor.min.js?ver=7bc2f41a2f2e0da426f12f29b2139cae&fver=20210310073739:12:244287)
at we ( https://kanaroad.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201213065714:84:293)
at He ( https://kanaroad.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201213065714:97:464)
at zj ( https://kanaroad.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201213065714:228:406)
at Th ( https://kanaroad.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201213065714:152:223)
at tj ( https://kanaroad.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201213065714:152:152)
at Te ( https://kanaroad.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201213065714:146:151)
at https://kanaroad.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201213065714:61:68
at unstable_runWithPriority ( https://kanaroad.net/wp-includes/js/dist/vendor/react.min.js?ver=16.13.1&fver=20201213065714:25:260)


   
引用
わいひら
(@yhira)
Illustrious Member Admin
結合: 6年前
投稿: 16109
 

ブログカードのスタイルを文中で編集しようとすると、毎度エラーが発生して落ちてしまいます。

落ちるというのはブラウザーが落ちるのですか。
落ちるとはどういった状態になるのでしょう。

あと、フォーラムの案内にもある環境情報をいただければと思います。

該当部分のキャプチャ・環境情報とともに書き込んでいただけると助かります

僕の手元の環境では動作しているようです。


   
返信引用
(@初心者)
Active Member
結合: 3年前
投稿: 8
Topic starter  

必要情報が不足しており失礼しました、、

「予期せぬエラーが発生しました。」というコメントが表示され、編集画面から添付の画面に移行してしまいます。

エラーコードが先のコメントにて貼り付けたコードになります。

 

お手数ですが、ご確認いただけますと助かります!

環境情報は以下です。
----------------------------------------------
サイト名:かなろーどのガラクタ生活
サイトURL: https://kanaroad.net
ホームURL: https://kanaroad.net
コンテンツURL:/wp-content
インクルードURL:/wp-includes/
テンプレートURL:/wp-content/themes/cocoon-master
スタイルシートURL:/wp-content/themes/cocoon-child-master
親テーマスタイル:/wp-content/themes/cocoon-master/style.css
子テーマスタイル:/wp-content/themes/cocoon-child-master/style.css
スキン:/wp-content/themes/cocoon-master/skins/silk/style.css
WordPressバージョン:5.7
PHPバージョン:7.4.13
ブラウザ:Mozilla/5.0 (Macintosh; Intel Mac OS X 11_2_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.82 Safari/537.36
サーバーソフト:Apache
サーバープロトコル:HTTP/1.1
言語:ja,en-US;q=0.9,en;q=0.8
----------------------------------------------
テーマ名:Cocoon
バージョン:2.2.7.4
カテゴリ数:5
タグ数:0
ユーザー数:1
----------------------------------------------
子テーマ名:Cocoon Child
バージョン:1.1.2
style.cssサイズ:845バイト
functions.phpサイズ:203バイト
----------------------------------------------
Gutenberg:1
AMP:1
PWA:0
Font Awesome:4
Auto Post Thumbnail:0
Retina:0
ホームイメージ:/wp-content/uploads/2021/03/OGP-1.png
----------------------------------------------
ブラウザキャッシュ有効化:1
HTML縮小化:1
CSS縮小化:0
JavaScript縮小化:1
Lazy Load:1
WEBフォントLazy Load:1
----------------------------------------------
利用中のプラグイン:
Site Kit by Google 1.27.0
TypeSquare Webfonts for エックスサーバー 1.2.1
----------------------------------------------


   
返信引用
(@初心者)
Active Member
結合: 3年前
投稿: 8
Topic starter  

添付が漏れてしまいました。こちらです。


   
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

初心者さん

今回の件と関係があるかは分かりませんが。
(関係ないかも知れません。)

「ワードプレス エディターで予期しないエラーが発生しました」でググると、いくつか検索に引っ掛かります。
(念のため、初心者さんにおかれましても、ググっていただけると良いと思います。)

多くの記事では、WordPressのバージョンアップ後に起こる事象のようで、ブラウザのキャッシュを削除すると直ると書かれていました。

試してみていただけますでしょうか。
(最低でも、エラーが出始める以前くらいまでの期間のキャッシュを削除した方が良いかも知れません。)


   
わいひら reacted
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

初心者さん

今回の件とは無関係だと思いますが。

WP Multibyte Patchがインストールされていないのは気になりました。

日本語環境においては、必須と言えるものだと思われます。


   
わいひら reacted
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

前略、初心者さん

Cocoonの親テーマも、今回のエラーに関係有る、無しに関わらず、最新バージョンにアップデートしてみてもいいかもしれないですね。


   
返信引用
(@初心者)
Active Member
結合: 3年前
投稿: 8
Topic starter  

みなさま、ありがとうございます。

テーマの最新やキャッシュの削除などを試みてみたものの改善せず。。

ただ、上部のエディターではなく、右側に表示されるブロックエディターで編集すれば

編集自体は可能だということに気づきました。

 

根本的な解決ではないものの、こちらの対応でしばらく対応したいと思います。

 

WP Multibyte Patchなどのアドバイスもありがとうございます。

はじめたばかりであまりよくわかっていないところが多いのでアドバイスいただけて嬉しいです!


   
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

初心者さん

すみません、ちょっと思い当たる節が1つあります。

大変お手数ではございますが、試していただきたいのです。

cocoon設定 ⇒ 高速化 ⇒ JavaScript縮小化 ⇒ JavaScriptを縮小化する
のチェックを外し、「変更を保存」していただけないでしょうか。

その後、エディタで編集操作をしてみてください。

もし、それで解消するようであれば、Cocoonの最新版へのアップデートで不具合は解消するはずです。


   
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

画像です。


   
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

一応、

テーマの最新やキャッシュの削除などを試みてみたものの改善せず。。

というようには、書かれていらっしゃるようではありますが・・最新版でも同じことを試してみてもいいかもしれないですね。


   
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

私のローカルのテスト環境でも、症状が再現できました。

 


   
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

エラーコードは以下です。

tt@ http://demo.local/wp-includes/js/dist/blocks.min.js?ver=9ed25ffa009c799f99a4340915b6dc6a&fver=20210310032837:3:96165 
vu@ http://demo.local/wp-includes/js/dist/block-editor.min.js?ver=7bc2f41a2f2e0da426f12f29b2139cae&fver=20210310032837:12:244287 
we@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:84:293 
He@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:97:464 
zj@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:228:406 
Th@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:152:225 
tj@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:152:152 
Te@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:146:151 
Pg/<@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:61:68 
unstable_runWithPriority@ http://demo.local/wp-includes/js/dist/vendor/react.min.js?ver=16.13.1&fver=20201211111800:25:260 
Da@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:60:280 
Pg@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:61:16 
ha@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:60:451 
@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:236:171 
uf@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:15:385 
Qd@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:42:209 
sc@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:41:277 
unstable_runWithPriority@ http://demo.local/wp-includes/js/dist/vendor/react.min.js?ver=16.13.1&fver=20201211111800:25:260 
Fi@ http://demo.local/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1&fver=20201211111800:41:147 

   
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

リフィトリーさん

Cocoonのバージョンは2.2.8.2?、2.2.8.3?でしょうか。

おそらく以下の件かなと思ったのですが。
https://wp-cocoon.com/community/bugs/javascript%e7%b8%ae%e5%b0%8f%e5%8c%96%e8%a8%ad%e5%ae%9a%e6%99%82%e3%81%ae%e4%b8%8d%e5%85%b7%e5%90%88/

/wp-includes/js/dist/

をJavaScript縮小から除外すると、解消されるのかしらと思ったのですが。


   
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

@mk2_mk2 さん

私のローカルのテスト環境のCocoonの親テーマのバージョン2.2.8.3です。

スキンをSILKにしたら再現できました。


   
mk2 reacted
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

SILKの場合は、ブロックのツールの左端にあるボタンでスタイルを編集できるようになっているようなのですが、どうも、それを使うとエラーになるようです。

 

   
mk2 reacted
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

リフィトリーさん

ありがとうございます。

私も再現できました。
仰るとおり、スキンをSILKにすると再現しました。

スキンなしの状態では発生しませんでした。

せっかく環境情報をご提示いただいていたのに、ちゃんと見ないとダメですね。
反省します。


   
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

@mk2_mk2 さん

おそらく、ロコさんが この書き込みをご覧になったら、きっと速攻で修正くださるでしょう。

テーマ側の何かしらが原因でなければですが・・

This post was modified 3年前 by リフィトリー

   
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

リフィトリーさん

はい、きっとそこは良しなにご対応いただけるものと。


   
返信引用
リフィトリー
(@leafytree)
Illustrious Member Moderator
結合: 5年前
投稿: 6845
 

テーマ側の何かしらの原因だとしても、おそらくロコさんなら、わかるのではと・・


   
mk2 reacted
返信引用
mk2
(@mk2_mk2)
Illustrious Member Moderator
結合: 3年前
投稿: 6673
 

はい、的確にご指摘くださるのではないかと思います。


   
返信引用
共有:

問題の解決に至った場合には、トピック冒頭の「解決済み」をクリックしていただけますと幸いです。

また、有用な回答があった場合は返信右下にある「いいね!」もご活用ください。回答者の励みになります。

「いいね!」機能はフォーラム登録者のみが利用できる機能です。

CC BY-ND 2.1)準じていれば(リンクを貼っていただければ)転載も自由です。カスタマイズ記事を書く際にコード等をコピペ利用していただいて構いません。

フォーラムの使い方がよくわからない場合は、テストトピックで自由にテストしていただいて構いません。

最近の書き込みはこちら。

詳細なカスタマイズ依頼をするならこちら。

タイトルとURLをコピーしました